apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: "sessions-ingress"
  labels:
    app: "sessions"
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  namespace: api
spec:
  rules:
  - http:
      paths:
      - path: "/sessions(/|$)(.*)"
        backend:
          serviceName: "sessions-service"
          servicePort: 80